export var PushNotificationStateUserStatus;
(function (PushNotificationStateUserStatus) {
    // The user has not yet made a choice regarding whether your app can show notifications.
    PushNotificationStateUserStatus[PushNotificationStateUserStatus["OSNotificationPermissionNotDetermined"] = 0] = "OSNotificationPermissionNotDetermined";
    // The application is not authorized to post user notifications.
    PushNotificationStateUserStatus[PushNotificationStateUserStatus["OSNotificationPermissionDenied"] = 1] = "OSNotificationPermissionDenied";
    // The application is authorized to post user notifications.
    PushNotificationStateUserStatus[PushNotificationStateUserStatus["OSNotificationPermissionAuthorized"] = 2] = "OSNotificationPermissionAuthorized";
    // the application is only authorized to post Provisional notifications (direct to history)
    PushNotificationStateUserStatus[PushNotificationStateUserStatus["OSNotificationPermissionProvisional"] = 3] = "OSNotificationPermissionProvisional";
})(PushNotificationStateUserStatus || (PushNotificationStateUserStatus = {}));
export var InterfaceOrientation;
(function (InterfaceOrientation) {
    InterfaceOrientation[InterfaceOrientation["unknown"] = 0] = "unknown";
    InterfaceOrientation[InterfaceOrientation["portrait"] = 1] = "portrait";
    InterfaceOrientation[InterfaceOrientation["portraitUpsideDown"] = 2] = "portraitUpsideDown";
    InterfaceOrientation[InterfaceOrientation["landscapeLeft"] = 3] = "landscapeLeft";
    InterfaceOrientation[InterfaceOrientation["landscapeRight"] = 4] = "landscapeRight";
})(InterfaceOrientation || (InterfaceOrientation = {}));
export var JokPluginEvents;
(function (JokPluginEvents) {
    JokPluginEvents["DeviceOrientationChange"] = "DeviceOrientationChange";
})(JokPluginEvents || (JokPluginEvents = {}));
export var TransactionState;
(function (TransactionState) {
    // Transaction is being added to the server queue.
    TransactionState[TransactionState["Purchasing"] = 0] = "Purchasing";
    // Transaction is in queue, user has been charged.  Client should complete the transaction.
    TransactionState[TransactionState["Purchased"] = 1] = "Purchased";
    // Transaction was cancelled or failed before being added to the server queue.
    TransactionState[TransactionState["Failed"] = 2] = "Failed";
    // Transaction was restored from user's purchase history.  Client should complete the transaction.
    TransactionState[TransactionState["Restored"] = 3] = "Restored";
    // The transaction is in the queue, but its final status is pending external action.
    TransactionState[TransactionState["Deferred"] = 4] = "Deferred";
})(TransactionState || (TransactionState = {}));
export var TransactionErrorCode;
(function (TransactionErrorCode) {
    TransactionErrorCode[TransactionErrorCode["unknown"] = 0] = "unknown";
    // client is not allowed to issue the request, etc.
    TransactionErrorCode[TransactionErrorCode["clientInvalid"] = 1] = "clientInvalid";
    // user cancelled the request, etc.
    TransactionErrorCode[TransactionErrorCode["paymentCancelled"] = 2] = "paymentCancelled";
    // purchase identifier was invalid, etc.
    TransactionErrorCode[TransactionErrorCode["paymentInvalid"] = 3] = "paymentInvalid";
    // this device is not allowed to make the payment
    TransactionErrorCode[TransactionErrorCode["paymentNotAllowed"] = 4] = "paymentNotAllowed";
    // Product is not available in the current storefront
    TransactionErrorCode[TransactionErrorCode["storeProductNotAvailable"] = 5] = "storeProductNotAvailable";
    // user has not allowed access to cloud service information
    TransactionErrorCode[TransactionErrorCode["cloudServicePermissionDenied"] = 6] = "cloudServicePermissionDenied";
    // the device could not connect to the nework
    TransactionErrorCode[TransactionErrorCode["cloudServiceNetworkConnectionFailed"] = 7] = "cloudServiceNetworkConnectionFailed";
    // user has revoked permission to use this cloud service
    TransactionErrorCode[TransactionErrorCode["cloudServiceRevoked"] = 8] = "cloudServiceRevoked";
    // The user needs to acknowledge Apple's privacy policy
    TransactionErrorCode[TransactionErrorCode["privacyAcknowledgementRequired"] = 9] = "privacyAcknowledgementRequired";
    // The app is attempting to use SKPayment's requestData property, but does not have the appropriate entitlement
    TransactionErrorCode[TransactionErrorCode["unauthorizedRequestData"] = 10] = "unauthorizedRequestData";
    // The specified subscription offer identifier is not valid
    TransactionErrorCode[TransactionErrorCode["invalidOfferIdentifier"] = 11] = "invalidOfferIdentifier";
    // The cryptographic signature provided is not valid
    TransactionErrorCode[TransactionErrorCode["invalidSignature"] = 12] = "invalidSignature";
    // One or more parameters from SKPaymentDiscount is missing
    TransactionErrorCode[TransactionErrorCode["missingOfferParams"] = 13] = "missingOfferParams";
    // The price of the selected offer is not valid (e.g. lower than the current base subscription price)
    TransactionErrorCode[TransactionErrorCode["invalidOfferPrice"] = 14] = "invalidOfferPrice";
})(TransactionErrorCode || (TransactionErrorCode = {}));
//# sourceMappingURL=definitions.js.map