import { WebPlugin } from '@capacitor/core';
import { FinishPaymentProps, GetKeychainItemProps, JokHelperPlugin, LoadProductsProps, PlayAudioProps, RequestPaymentProps, SetKeychainItemProps, SetOrientationLockProps, SKProduct, ViewAppPageProps } from './definitions';
export declare class JokHelperWeb extends WebPlugin implements JokHelperPlugin {
    constructor();
    echo(options: {
        value: string;
    }): Promise<{
        value: string;
    }>;
    setKeychainItem({ key, value }: SetKeychainItemProps): Promise<{
        value: string;
    }>;
    getKeychainItem({ key }: GetKeychainItemProps): Promise<{
        value: string;
    }>;
    setDeviceOrientationLock({ orientationMask, }: SetOrientationLockProps): Promise<void>;
    getDeviceOrientation(): Promise<any>;
    listenDeviceOrientationChanges(): Promise<void>;
    listenPushNotificationEvents(): Promise<void>;
    isWideScreen(): Promise<{
        value: boolean;
    }>;
    isMobileDevice(): Promise<{
        value: boolean;
    }>;
    getPushNotificationsState(): Promise<any>;
    askPushNotificationsPermission(): Promise<{
        accepted: boolean;
    }>;
    openAppSettings(): Promise<{
        success: boolean;
    }>;
    canMakePayments(): Promise<{
        value: boolean;
    }>;
    loadProducts(_: LoadProductsProps): Promise<{
        success: boolean;
        products: SKProduct[];
        invalidProducts: string[];
    }>;
    requestPayment(_: RequestPaymentProps): Promise<{
        success: boolean;
        message: string;
    }>;
    finishPayment(_: FinishPaymentProps): Promise<{
        success: boolean;
        message: string;
    }>;
    listenTransactionStateChanges(): Promise<void>;
    platformInfo(): Promise<{
        success: boolean;
        platform: string;
        clientVersion: string;
    }>;
    viewAppPage(_data: ViewAppPageProps): Promise<{
        value: boolean;
    }>;
    private audioCache;
    playAudio(data: PlayAudioProps): Promise<{
        value: boolean;
    }>;
    openMailbox(): Promise<{
        value: boolean;
    }>;
    vibrate(pattern?: number | number[]): Promise<{
        value: boolean;
    }>;
    requestReview(): Promise<{
        value: boolean;
    }>;
    configureRewardedAds(_: {
        zoneId: string;
        zone2Id: string;
    }): Promise<{
        success: boolean;
        currency: string;
        amount: number;
        currency2: string;
        amount2: number;
    }>;
    listenRewardedAdsWatchedEvents(): Promise<{
        value: boolean;
    }>;
    showRewardedAds(_: {
        zoneId: string;
    }): Promise<{
        started: boolean;
        errorMessage: string;
        errorCode: string;
        additionalInfo: string;
    }>;
}
declare const JokHelper: JokHelperWeb;
export { JokHelper };
